Skip to main content
GET
cURL
Retrieve test cases for a specific prompt. This endpoint returns test cases associated with the given prompt ID, with options to filter by prompt version and include generation data.

Retrieve Test Cases

Parameters

Response

The response returns an array of test case objects with the following properties:

Example Response

Query Parameters

promptId
string
required
promptVersionIds
string[]
includeGenerations
boolean

Response

200 - application/json

List of test cases

id
string<uuid>
required

Unique identifier for the test case

title
string
required

Title of the test case

messages
object[] | null
required

Array of message objects with role and content

variables
object | null
required

Key-value pairs of variables used in the test case

variablesRichContent
object | null
required

Key-value pairs of rich content variables

files
object[] | null
required

Array of file objects attached to the test case

promptId
string<uuid>
required

UUID of the prompt this test case belongs to

expectedOutput
string | null
required

Expected output for evaluation purposes

answers
object | null
required

Evaluation answers with good/bad results and evals

promptApplicationId
string<uuid> | null
required

UUID of the prompt application if applicable

createdAt
string<date-time>
required

Creation timestamp

updatedAt
string<date-time>
required

Last update timestamp

deletedAt
string<date-time> | null
required

Deletion timestamp if applicable

metadata
object | null

Metadata about the test case

generations
any[]

Array of generations (only included if includeGenerations=true)